Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment
Class AbstractDeployer

    java.lang.Object
      org.apache.axis2.deployment.AbstractDeployer

All Implemented Interfaces:
  Deployer

Direct Known Subclasses:
  ModuleDeployer, POJODeployer, ServiceDeployer, TransportDeployer

    public abstract class AbstractDeployer

extends java.lang.Object
implements Deployer

AbstractDeployer class which can be extended by all Axis2 deployers

Field Summary
`protected java.util.Map<java.lang.String,DeploymentFileData>` | `deploymentFileDataMap` The Map of all artifacts deployed by this deployer.

Constructor Summary
`AbstractDeployer()`

Method Summary
`void` | `cleanup()` Cleanup deployment
`void` | `deploy(DeploymentFileData deploymentFileData)` Process a file and add it to the configuration
`void` | `undeploy(java.lang.String fileName)` Remove a given file from the configuration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis2.deployment.Deployer
`init, setDirectory, setExtension`

Field Detail

### deploymentFileDataMap

    protected java.util.Map<java.lang.String,DeploymentFileData> deploymentFileDataMap

  The Map of all artifacts deployed by this deployer.

Constructor Detail

### AbstractDeployer

    public AbstractDeployer()

Method Detail

### deploy

    public void deploy(DeploymentFileData deploymentFileData)
                throws DeploymentException

  Description copied from interface: `Deployer`
  Process a file and add it to the configuration

  Specified by:
    `deploy` in interface `Deployer`
  Parameters:
    `deploymentFileData` - the DeploymentFileData object to deploy
  Throws:
    `DeploymentException` - if there is a problem

### undeploy

    public void undeploy(java.lang.String fileName)
                  throws DeploymentException

  Description copied from interface: `Deployer`
  Remove a given file from the configuration

  Specified by:
    `undeploy` in interface `Deployer`
  Parameters:
    `fileName` - name of item to remove
  Throws:
    `DeploymentException` - if there is a problem

### cleanup

    public void cleanup()
                 throws DeploymentException

  Description copied from interface: `Deployer`
  Cleanup deployment

  Specified by:
    `cleanup` in interface `Deployer`
  Throws:
    `DeploymentException` - If an error occurs during cleanup

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.